<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<title>Nameserver Lookup</title>
<meta name="title" content="Nameserver Lookup">
<meta http-equiv="content-language" content="de-at">
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>
<body>

<h1>Nameserver Lookup</h1>

<?php
$send=intval(substr(GetParam("psend"),0,1));
$domip=substr(GetParam("pdomip"),0,80);
$err_text="";
if(trim($domip)=="")
  $err_text.="Bitte geben Sie einen Domainnamen oder eine IP-Adresse an.<br>";
?>

<p><b>Beispiele:</b><br>
<blockquote>
<em>www.microsoft.at</em><br>
<em>www.google.com</em><br>
oder eine IP-Adresse im Format <em>n.n.n.n</em><br>
</blockquote></p>

<?php
if(($send == "1") && ($err_text != "")){
  echo "<p><big><b>Fehler:</b></big><br>";
  echo "<span id=warn>$err_text</span></p>";
}
?>

<table border=0 cellspacing=0 cellpadding=2>
<form action="<?php echo GetParam("PHP_SELF", "S"); ?>" method="post">
<tr><td nowrap align=right>Domain oder IP:&nbsp;</td>
<td><input type="text" name="pdomip" size=40 maxlength=250
value="<?php echo $domip; ?>"></td></tr>
<tr><td nowrap align=right>&nbsp;</td>
<td><input type="submit" value="NSLookup" name="submit">
<input type="hidden" value="1" name="psend"></td></tr>
</td></tr>
</form></table>

<?php
if(($send == "1") && ($err_text == "")) {
  $DB_File="whois.dat";
  $domip=strtolower($domip);

  if(ereg("^[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}$",$domip))
    LookupIP($domip);
  else
    LookupDomain($domip);
}

function LookupIP($IP) {
  echo "<p>berprfe die IP-Adresse: <b>";
  echo "<a href=\"http://$IP\">$IP</a></b></p>\n";
  echo "<h2>Ergebnis</h2><blockquote>\n";
  
  $Domain=gethostbyaddr($IP);
  if((!$Domain) || ($Domain==$IP))
    $Domain="Der Domainname konnte nicht ermittelt werden.";

  $AliasArry=gethostbynamel($Domain);
  if(isset($AliasArray)){
    foreach($a as $AliasArray)
      $Alias.=$a."<br>";
  }else{
      $Alias="";
  }
  
  $Out="<table border=0 cellspacing=2 cellpadding=0>";
  $Out.="<tr><td>IP-Adresse:</td><td>&nbsp;&nbsp;&nbsp;</td>";
  $Out.="<td><b>$IP</b></td></tr>";
  $Out.="<tr><td>Domainname:</td><td>&nbsp;&nbsp;&nbsp;</td>";
  $Out.="<td><b>$Domain</b></td></tr>";
  $Out.="<tr><td valign=top>Alias-Adressen:</td><td>&nbsp;&nbsp;&nbsp;</td>";
  $Out.="<td><b>$Alias</b></td></tr>";
  $Out.="</tr></table></blockquote><br>\n";
  echo $Out;
}

function LookupDomain($Domain) {
  echo "<p>berprfe die Domain: <b>";
  echo "<a href=\"http://$Domain\">$Domain</a></b>...</p>\n";
  echo "<h2>Ergebnis</h2><blockquote>\n";
  
  $IP=gethostbyname($Domain);
  if((!$IP) || ($IP==$Domain))
    $IP="Die IP-Adresse konnte nicht ermittelt werden.";

  $AliasArry = gethostbynamel($Domain);
  if(isset($AliasArray)){
    foreach($a as $AliasArray)
      $Alias.=$a."<br>";
  }else{
    $Alias="";
  }
  
  $Out="<table border=0 cellspacing=2 cellpadding=0>";
  $Out.="<tr><td>Domainname:</td><td>&nbsp;&nbsp;&nbsp;</td>";
  $Out.="<td><b>$Domain</b></td></tr>";
  $Out.="<tr><td>IP-Adresse:</td><td>&nbsp;&nbsp;&nbsp;</td>";
  $Out.="<td><b>$IP</b></td></tr>";
  $Out.="<tr><td valign=top>Alias-Adressen:</td><td>&nbsp;&nbsp;&nbsp;</td>";
  $Out.="<td><b>$Alias</b></td></tr>";
  $Out.="</tr></table></blockquote><br>\n";
  echo $Out;
}

function GetParam($ParamName, $Method = "P", $DefaultValue = "") {
  if ($Method == "P") {
    if (isset($_POST[$ParamName])) return $_POST[$ParamName]; else return $DefaultValue;
  } else if ($Method == "G") {
    if (isset($_GET[$ParamName])) return $_GET[$ParamName]; else return $DefaultValue;
  } else if ($Method == "S") {
    if (isset($_SERVER[$ParamName])) return $_SERVER[$ParamName]; else return $DefaultValue;
  }
}

?>

</body>
</html>
